/****** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is XpcomViewer code.
 *
 * The Initial Developer of the Original Code is
 * Ondrej Donek.
 * Portions created by Initial Developer are Copyright (C) 2005-2006
 * Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *    Ondrej Donek, <ondrejd@gmail.com>, original author
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the LGPL or the GPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 ****** END LICENSE BLOCK *****/


// paneGeneral UI pointers
var gPaneGeneral = null;
var gUseLastView = null;
var gUseCustomView = null;
var gUseCustomViewType = null;
var gUseTreeIcons = null;
var gUseAdditionalCSSRules = null;
var gShowConfirmWhenClosing = null;
var gSaveViewedLXRPages = null;

// paneBookmarksNotes UI pointers
var gAllowBookmarks = null;
var gAllowNotes = null;



/**
 * Preferences window object
 */
var gXPrefWin =
{

	/**
	 * On pane load
	 */
	onLoad : function ()
	{
		window.focus ();

    // paneGeneral
	  gPaneGeneral = document.getElementById ("paneGeneral");
    gUseLastView = document.getElementById ("useLastView");
    gUseCustomView = document.getElementById ("useCustomView");
    gUseCustomViewType = document.getElementById ("useCustomViewType");
    gUseTreeIcons = document.getElementById ("useTreeIcons");
    gUseAdditionalCSSRules = document.getElementById ("useAdditionalCSSRules");
    gShowConfirmWhenClosing = document.getElementById ("showConfirmWhenClosing");
    gSaveViewedLXRPages = document.getElementById ("saveViewedLXRPages");

    // paneBookmarksNotes
    gAllowBookmarks = document.getElementById ("allowBookmarks");
    gAllowNotes = document.getElementById ("allowNotes");
	}

}; // End of gXPrefWin
